<?php

namespace Teknisa\MAN\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Notification;
use Zeedhi\Framework\DataSource;
use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Framework\DTO\Response\Message;
use Teknisa\MAN\Services\LogsCreditoNoCashService;
use Teknisa\MAN\Utilities;

class LogsCreditoNoCash {
    
    protected $utilService;
              
    public function __construct ($entityManager, Utilities\Util $utilService, Manager $dataSourceManager, LogsCreditoNoCashService $LogsCreditoNoCashService) {
        $this->entityManager             = $entityManager;
        $this->utilService               = $utilService;
        $this->dataSourceManager         = $dataSourceManager;
        $this->LogsCreditoNoCashService  = $LogsCreditoNoCashService;
    }
    
    public function findLogs($request, $response) {
        $conditions = $this->utilService->getParamsAsArray($request);
        $response->addDataSet(new DataSet("logsCreditoNoCash", 
        $this->LogsCreditoNoCashService->fetchLogs($conditions)));
        return $response;
    }
    
}